> ## Documentation Index
> Fetch the complete documentation index at: https://ai-recruiter.micro1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an interview

> This endpoint deletes an existing interview by ID.



## OpenAPI

````yaml delete /interview/{interviewId}
openapi: 3.0.3
info:
  title: micro1 Public API
  description: micro1 ai-interview platform public API
  version: 1.0.0
  termsOfService: https://www.micro1.ai/terms-conditions
  contact:
    name: micro1 API Support
    url: https://www.micro1.ai
    email: support@micro1.ai
servers:
  - url: https://public.api.micro1.ai
    description: Production server
security:
  - apiKey: []
paths:
  /interview/{interviewId}:
    delete:
      tags:
        - Interview
      summary: Delete an interview
      description: This endpoint deletes an existing interview by ID.
      operationId: aiInterviewer-b7d10a6a-f334-4836-933f-c9a62d33d80b
      parameters:
        - name: interviewId
          in: path
          description: ID of the interview to delete
          required: true
          schema:
            $ref: '#/components/schemas/interviewId'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/1488b560-7b17-47ee-862e-2c138a397929'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/61381ad1-48b5-4910-b2b2-dfc5d60bb5bf'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/4651c8bc-45a2-444b-93d7-bcd5fb9b8c82'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
      security:
        - apiKey: []
components:
  schemas:
    interviewId:
      type: string
    1488b560-7b17-47ee-862e-2c138a397929:
      title: DeleteInterviewResponse
      description: Response for deleting an interview
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: true
        message:
          type: string
          description: The message for the response
          example: Interview deleted successfully
    Access-Control-Allow-Origin:
      type: string
      default: '*'
      example: https://developer.mozilla.org
    Access-Control-Allow-Credentials:
      type: boolean
      default: true
    61381ad1-48b5-4910-b2b2-dfc5d60bb5bf:
      title: BadRequestResponse
      description: Response for bad requests
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: The error message
          example: Invalid request
    4651c8bc-45a2-444b-93d7-bcd5fb9b8c82:
      title: InternalServerErrorResponse
      description: Response for internal server error
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
  securitySchemes:
    apiKey:
      description: API key to access the API
      type: apiKey
      name: x-api-key
      in: header

````